@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v30-latin-regular.eot');
    src: local(''), url('../fonts/roboto-v30-latin-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-v30-latin-regular.woff2') format('woff2'), url('../fonts/roboto-v30-latin-regular.woff') format('woff'), url('../fonts/roboto-v30-latin-regular.ttf') format('truetype'), url('../fonts/roboto-v30-latin-regular.svg#Roboto') format('svg');
}

@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-v30-latin-700.eot');
    src: local(''), url('../fonts/roboto-v30-latin-700.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-v30-latin-700.woff2') format('woff2'), url('../fonts/roboto-v30-latin-700.woff') format('woff'), url('../fonts/roboto-v30-latin-700.ttf') format('truetype'), url('../fonts/roboto-v30-latin-700.svg#Roboto') format('svg');
}

@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 900;
    src: url('../fonts/roboto-v30-latin-900.eot');
    src: url('../fonts/roboto-v30-latin-900.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto-v30-latin-900.woff2') format('woff2'), url('../fonts/roboto-v30-latin-900.woff') format('woff'), url('../fonts/roboto-v30-latin-900.ttf') format('truetype'), url('../fonts/roboto-v30-latin-900.svg#Roboto') format('svg');
}

:root {
    font-size: 16px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    color: #231f20;
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 16px;
    line-height: 21px;
    font-weight: 400;
}

#wrapper {
    max-width: 530px;
    margin: 16px auto;
    border: 2px solid #e01e23;
    padding: 20px 16px 6px 21px;
    background-color: #fff;
    position: relative;
}

header {
    padding: 0 0 18px;
    display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
    align-items: flex-end;
}

article {
    position: relative;
}

.qrcode {
    position: absolute;
    bottom: 6px;
    right: 0;
    z-index: 6;
}

.justify {
    text-align: justify;
}

span:not(.block) {
    white-space: nowrap;
}

p {
    margin: 0 0 12px;
}

:is(strong, h1, h2) {
    font-weight: 900;
}

h1 {
    margin: 0 0 16px;
    font-size: 17px;
    line-height: 1.2;
}

h1 strong {
    font-size: 25px;
}

h1 .block {
    display: block;
    margin: 3px 0 0;
}

h2 {
    margin: 0 0 0 -21px;
    font-size: 20px;
    display: flex;
    line-height: 1;
    flex-direction: column;
    align-items: flex-start;
    color: #fff;
}

h2 span {
    display: inline-block;
    background: #eb1e26;
    padding: 5px 16px 5px 21px;
    margin-top: 5px;
}

h3 {
    margin: 16px 0 2px;
    font-weight: 700;
    font-size: 16px;
}

:is(a:link, a:visited, a:hover, a:active) {
    color: #231f20;
    text-decoration: none;
    white-space: nowrap;
}

ul {
    margin: 0 0 16px;
    list-style: none;
}

ul li {
    padding-left: 26px;
}

li:before {
    content: '\2022';
    float: left;
    font-size: 21px;
    text-indent: -16px;
}

ul li small {
    font-size: 100%;
    color: #e01e23;
}

img {
    max-width: 100%;
    vertical-align: middle;
}

h4 {
    position: absolute;
    z-index: 4;
    right: 16px;
    bottom: 16px;
    font-size: 18px;
    line-height: 24px;
}

h4 a {
    color: #e01e23 !important;
}

@media all and (max-width: 529px) {
    #wrapper {
        margin: 0 auto;
        padding: 1rem;
        border: none;
    }

    header {
        flex-direction: column;
        align-items: center;
        gap: 16px;
    }

    .qrcode {
        position: static;
        display: flex;
        justify-content: center;
        margin: 0 0 16px;
    }

    :is(p, ul) {
        hyphens: auto;
        text-wrap: pretty;
    }

    :is(h1, h2, footer p) {
        text-align: center;
    }

    h2 {
        justify-content: center;
        align-items: center;
        margin: 0;
    }

    .justify {
        text-align: left;
    }

    ul li {
        padding-left: 16px;
    }

    li:before {
        text-indent: -16px;
    }

    article br {
        display: none;
    }

    h4 {
        position: static;
        text-align: center;
    }
}

@media all and (max-width: 400px) {
    h2 {
        line-height: 1.3;
        font-size: 16px;
    }
}